org.icefaces.ace.component.fileentry

## Class FormScriptWriter

- java.lang.Object
- - javax.faces.component.UIComponent
  - - javax.faces.component.UIComponentBase
    - - javax.faces.component.UIOutput
      - - org.icefaces.ace.component.fileentry.FormScriptWriter

- All Implemented Interfaces:
    java.util.EventListener, javax.faces.component.PartialStateHolder, javax.faces.component.StateHolder, javax.faces.component.TransientStateHolder, javax.faces.component.ValueHolder, javax.faces.event.ComponentSystemEventListener, javax.faces.event.FacesListener, javax.faces.event.SystemEventListenerHolder

      public class FormScriptWriter
      extends javax.faces.component.UIOutput

  Writer to add common javascript blurb to form as a <script> element

- - ### Field Summary

    - ### Fields inherited from class javax.faces.component.UIOutput

      `COMPONENT_FAMILY, COMPONENT_TYPE`

    - ### Fields inherited from class javax.faces.component.UIComponent

      `ATTRS_WITH_DECLARED_DEFAULT_VALUES, BEANINFO_KEY, bindings, COMPOSITE_COMPONENT_TYPE_KEY, COMPOSITE_FACET_NAME, CURRENT_COMPONENT, CURRENT_COMPOSITE_COMPONENT, FACETS_KEY, HONOR_CURRENT_COMPONENT_ATTRIBUTES_PARAM_NAME, VIEW_LOCATION_KEY`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `FormScriptWriter(java.lang.String disablingAttribute, java.lang.String id)` Write a snippet of un-escaped javascript.

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `encodeBegin(javax.faces.context.FacesContext context)`
    `void` | `encodeEnd(javax.faces.context.FacesContext context)`

    - ### Methods inherited from class javax.faces.component.UIOutput

      `clearInitialState, getConverter, getFamily, getLocalValue, getValue, markInitialState, restoreState, saveState, setConverter, setValue`

    - ### Methods inherited from class javax.faces.component.UIComponentBase

      `addClientBehavior, addFacesListener, broadcast, decode, encodeChildren, findComponent, getAttributes, getChildCount, getChildren, getClientBehaviors, getClientId, getDefaultEventName, getEventNames, getFacesContext, getFacesListeners, getFacet, getFacetCount, getFacets, getFacetsAndChildren, getId, getListenersForEventClass, getParent, getRenderer, getRendererType, getRendersChildren, getValueBinding, invokeOnComponent, isRendered, isTransient, processDecodes, processRestoreState, processSaveState, processUpdates, processValidators, queueEvent, removeFacesListener, restoreAttachedState, saveAttachedState, setId, setParent, setRendered, setRendererType, setTransient, setValueBinding, subscribeToEvent, unsubscribeFromEvent`

    - ### Methods inherited from class javax.faces.component.UIComponent

      `encodeAll, getClientId, getCompositeComponentParent, getContainerClientId, getCurrentComponent, getCurrentCompositeComponent, getNamingContainer, getResourceBundleMap, getStateHelper, getStateHelper, getTransientStateHelper, getTransientStateHelper, getValueExpression, initialStateMarked, isCompositeComponent, isInView, isVisitable, popComponentFromEL, processEvent, pushComponentToEL, restoreTransientState, saveTransientState, setInView, setValueExpression, visitTree`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### FormScriptWriter

          public FormScriptWriter(java.lang.String disablingAttribute,
                                  java.lang.String id)

      Write a snippet of un-escaped javascript. It is apparently unnecessary for javascript elements to have id's, but if one is passed, it's used.
      Parameters:
        `disablingAttribute` - If the form has this attribute set, don't render the javascript.
        `id` - An id for the script element.

  - ### Method Detail

    - #### encodeBegin

          public void encodeBegin(javax.faces.context.FacesContext context)
                           throws java.io.IOException

      Overrides:
        `encodeBegin` in class `javax.faces.component.UIComponentBase`
      Throws:
        `java.io.IOException`

    - #### encodeEnd

          public void encodeEnd(javax.faces.context.FacesContext context)
                         throws java.io.IOException

      Overrides:
        `encodeEnd` in class `javax.faces.component.UIComponentBase`
      Throws:
        `java.io.IOException`

Copyright 2025 ICEsoft Technologies Canada, Corp. All Rights Reserved.